<?xml version="1.0" encoding="UTF-8"?>
<templates xml:space="preserve">

    <t t-name="account_chart_of_accounts.AccountReportFiltersExtension"
       t-inherit="odex30_account_reports.AccountReportFiltersCustomizable"
       t-inherit-mode="extension">

        <xpath expr="//div[@id='filter_extra_options']" position="after">
            <t t-if="controller.options and controller.options.filters and controller.options.filters.show_full_hierarchy">
                <div id="filter_full_hierarchy">
                    <button
                        class="btn"
                        t-att-class="controller.options.show_full_hierarchy ? 'btn-primary' : 'btn-secondary'"
                        t-on-click="() => this.toggleFullHierarchy()">
                        <i class="fa fa-sitemap me-1"/>
                        Full Hierarchy
                    </button>
                </div>
            </t>
        </xpath>

    </t>

</templates>
